Bug 2061700 (CVE-2021-26401) - CVE-2021-26401 hw: cpu: LFENCE/JMP Mitigation Update for CVE-2017-5715
Summary: CVE-2021-26401 hw: cpu: LFENCE/JMP Mitigation Update for CVE-2017-5715
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2021-26401
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 2062164 2062165 2062169 2062166 2062167 2062168 2062633 2062790 2062792
Blocks: 2053116
TreeView+ depends on / blocked
 
Reported: 2022-03-08 11:06 UTC by Petr Matousek
Modified: 2022-06-16 11:24 UTC (History)
33 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
A flaw was found in hw. The speculative execution window of AMD LFENCE/JMP mitigation (MITIGATION V2-2) may be large enough to be exploited on AMD CPUs.
Clone Of:
Environment:
Last Closed: 2022-05-11 17:15:20 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:2229 0 None None None 2022-05-12 11:27:18 UTC
Red Hat Product Errata RHBA-2022:4630 0 None None None 2022-05-18 11:47:04 UTC
Red Hat Product Errata RHBA-2022:4693 0 None None None 2022-05-19 05:11:30 UTC
Red Hat Product Errata RHBA-2022:4969 0 None None None 2022-06-08 18:40:38 UTC
Red Hat Product Errata RHBA-2022:5088 0 None None None 2022-06-16 11:24:00 UTC
Red Hat Product Errata RHSA-2022:1975 0 None None None 2022-05-10 14:41:11 UTC
Red Hat Product Errata RHSA-2022:1988 0 None None None 2022-05-10 14:47:21 UTC

Description Petr Matousek 2022-03-08 11:06:46 UTC
The speculative execution window of AMD LFENCE/JMP  mitigation (MITIGATION V2-2) may be large enough to be  exploited on AMD CPUs. 

An Intel PoC (proof of concept) demonstrates that the  speculative execution window for an incorrect indirect branch  prediction using an LFENCE/JMP sequence may potentially be  large enough to allow exploitation using CVE-2017-5715. This  was observed on AMD CPUs codenamed “Zen”, “Zen+”, “Zen 2”, and “Zen 3” using a specific workload on a Simultaneous  Multi-Threading (SMT) sibling thread.

Comment 8 errata-xmlrpc 2022-05-10 14:41:07 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1975 https://access.redhat.com/errata/RHSA-2022:1975

Comment 9 errata-xmlrpc 2022-05-10 14:47:18 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2022:1988 https://access.redhat.com/errata/RHSA-2022:1988

Comment 10 Product Security DevOps Team 2022-05-11 17:15:17 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2021-26401


Note You need to log in before you can comment on or make changes to this bug.